Bug 13153 - sock_daemon leaks memory
sock_daemon leaks memory
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.10
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-20 01:27 UTC by Amitay Isaacs
Modified: 2017-11-24 11:00 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-6 (1.11 KB, patch)
2017-11-22 04:33 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-7 (1.11 KB, patch)
2017-11-22 04:33 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-11-20 01:27:08 UTC

    
Comment 1 Amitay Isaacs 2017-11-20 01:28:30 UTC
The first subreq created using tevent_wakeup_send() is never freed and tevent_wakeup_recv() is never called.
Comment 2 Amitay Isaacs 2017-11-22 04:33:20 UTC
Created attachment 13804 [details]
Patches for v4-6
Comment 3 Amitay Isaacs 2017-11-22 04:33:41 UTC
Created attachment 13805 [details]
Patches for v4-7
Comment 4 Martin Schwenke 2017-11-22 04:52:21 UTC
Hi Karolin,

This is ready for 4.6 and 4.7.

Thanks...
Comment 5 Karolin Seeger 2017-11-22 08:23:51 UTC
(In reply to Martin Schwenke from comment #4)
Pushed to autobuild-v4-{7,6}-test.
Comment 6 Karolin Seeger 2017-11-24 11:00:41 UTC
Pushed to both branches.
Closing out bug report.

Thanks!